file_id = "UIOUSB_PIN_SET"
log_msg("start..",file_id)

--[[
**************************************************************************************

UIOUSB デバイスの指定したI/O ピンの値を設定する


スクリプト起動時に渡されるパラメータ
---------------------------------------------------------------------------------
キー値			値		            									値の例
---------------------------------------------------------------------------------
pin			UIOUSB DIO#番号(0 から 7 までの整数)						"7"

value		pin に指定したI/Oポートに設定する値(0 または 1)				"1"

**************************************************************************************
]]

-------------------------
-- パラメータチェック
-------------------------
if not (g_params["pin"] and g_params["value"]) then
	log_msg("parameter error",file_id)
	error()
end


if (g_params["value"] == "1") then
	if not uio_don(tonumber(g_params["pin"]),true) then error() end
else
	if not uio_don(tonumber(g_params["pin"]),false) then error() end
end

